using System;
using System.Collections.Generic;
using System.ComponentModel.Composition;
using System.Linq;
using System.Text;
using System.Xml.Linq;

namespace CoverageFramework.Operator.Generator.Python3
{
	[Export(typeof(IStatementGenerator))]
	public class CompoundStatementCoverageGenerator : IStatementGenerator
	{
		public XElement[] Generate(int nameNumberHigh, int nameNumberLow, int size, int id)
		{
			var str = "statement(" + nameNumberHigh + "," + nameNumberLow + "," + size + "," + id + ")";
			return new[] {
				new XElement("TOKEN", str),
				new XElement("NEWLINE"),
			};
		}
	}
}
